import { Middleware } from '@nuxt/types'

const auth: Middleware = ({ store, redirect }) => {
  // Si l'utilisateur n'est pas connecté on le redirige vers la page login
  if (!store.state.profile.access) {
    return redirect('/login')
  }
}

export default auth
